---

security-checker:
  stage: security
  image: php:8.2-cli-alpine
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: true
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: on_success
      allow_failure: true
  dependencies: []
  cache: {}
  needs: []
  interruptible: true
  variables:
    SC_GITHUB: 'https://github.com/fabpot/local-php-security-checker'
    SC_VERSION: '2.0.4'
  before_script:
    - |
      curl \
        --location \
        --silent \
        --show-error \
        --output /local-php-security-checker \
        "${SC_GITHUB}/releases/download/v${SC_VERSION}/local-php-security-checker_${SC_VERSION}_linux_amd64"
    - chmod +x /local-php-security-checker
  script:
    - /local-php-security-checker -format=junit > ./junit.security-checker.xml
  artifacts:
    expire_in: 1 day
    reports:
      junit:
        - ./junit.security-checker.xml
